OpenJPEG: bench_dwt.c File Reference

OpenJPEG 2.4.0

Functions
bench_dwt.c File Reference
`#include "opj_includes.h"`
`#include <sys/time.h>`
`#include <sys/resource.h>`
`#include <sys/times.h>`

## Functions
OPJ_INT32 | getValue (OPJ_UINT32 i)
void | init_tilec (opj_tcd_tilecomp_t *l_tilec, OPJ_INT32 x0, OPJ_INT32 y0, OPJ_INT32 x1, OPJ_INT32 y1, OPJ_UINT32 numresolutions, OPJ_BOOL irreversible)
void | free_tilec (opj_tcd_tilecomp_t *l_tilec)
void | usage (void)
OPJ_FLOAT64 | opj_clock (void)
| Difference in successive opj_clock() calls tells you the elapsed time. More...
static OPJ_FLOAT64 | opj_wallclock (void)
int | main (int argc, char **argv)

## Function Documentation

## ◆ free_tilec()

void free_tilec | ( | opj_tcd_tilecomp_t * | l_tilec | ) |

References opj_tcd_tilecomp::data, opj_free(), and opj_tcd_tilecomp::resolutions.

Referenced by main().

## ◆ getValue()

OPJ_INT32 getValue | ( | OPJ_UINT32 | i | ) |

Referenced by init_tilec(), and main().

## ◆ init_tilec()

void init_tilec | ( | opj_tcd_tilecomp_t * | l_tilec,
|  | OPJ_INT32 | x0,
|  | OPJ_INT32 | y0,
|  | OPJ_INT32 | x1,
|  | OPJ_INT32 | y1,
|  | OPJ_UINT32 | numresolutions,
|  | OPJ_BOOL | irreversible
| ) |  |

References opj_tcd_tilecomp::data, getValue(), opj_tcd_tilecomp::minimum_num_resolutions, opj_tcd_tilecomp::numresolutions, opj_calloc(), opj_int_ceildivpow2(), opj_malloc(), opj_tcd_tilecomp::resolutions, opj_tcd_resolution::x0, opj_tcd_tilecomp::x0, opj_tcd_resolution::x1, opj_tcd_tilecomp::x1, opj_tcd_resolution::y0, opj_tcd_tilecomp::y0, opj_tcd_resolution::y1, and opj_tcd_tilecomp::y1.

Referenced by main().

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

References opj_image::comps, opj_tcd_tile::comps, opj_tcd_tilecomp::data, opj_image_comp::dx, opj_image_comp::dy, free_tilec(), getValue(), opj_tcd::image, init_tilec(), opj_image::numcomps, opj_tcd_tile::numcomps, opj_tcd_tilecomp::numresolutions, opj_clock(), opj_dwt_decode(), opj_dwt_decode_real(), opj_dwt_encode(), opj_dwt_encode_real(), OPJ_FALSE, opj_thread_pool_create(), opj_thread_pool_destroy(), OPJ_TRUE, opj_wallclock(), opj_tcd::tcd_image, opj_tcd::thread_pool, opj_tcd_image::tiles, usage(), opj_tcd::whole_tile_decoding, opj_tcd::win_x0, opj_tcd::win_x1, opj_tcd::win_y0, opj_tcd::win_y1, opj_tcd_tilecomp::x0, opj_tcd_tile::x0, opj_tcd_tilecomp::x1, opj_tcd_tile::x1, opj_tcd_tilecomp::y0, opj_tcd_tile::y0, opj_tcd_tilecomp::y1, and opj_tcd_tile::y1.

## ◆ opj_clock()

OPJ_FLOAT64 opj_clock | ( | void |  | ) |

Difference in successive opj_clock() calls tells you the elapsed time.

Returns
  Returns time in seconds

Referenced by main(), and opj_wallclock().

## ◆ opj_wallclock()

static OPJ_FLOAT64 opj_wallclock | ( | void |  | ) |
| static

References opj_clock().

Referenced by main().

## ◆ usage()

void usage | ( | void |  | ) |

Referenced by main().